# Threaded::count

(PECL pthreads >= 2.0.0)

Threaded::count — Manipulation

### Description

public Threaded::count ( void ) : int

Returns the number of properties for this object

### Parameters

This function has no parameters.

### Return Values

### Examples

Example #1 Counting the properties of an object

`<?php
$safe = new Threaded();
while (count($safe) < 10) {
$safe[] = count($safe);
}
var_dump(count($safe));
?>`

The above example will output:

    int(10)